/*
 * config.h
 *
 * Kai G. Schwebke
 * 2007-03-03
 *
 * Compile time options
 *
 */
#ifndef IncConfig
#define IncConfig

#define VERSION "0.8.1"

/* default configuration */
#define DEFAULT_CONFIG_PATH   "/etc"
#define DEFAULT_CONFIG_FILE   "pcmeasureUSB.conf"
#define DEFAULT_LOG_FILE      "/var/log/pcmeasureUSB.log"
#define DEFAULT_LISTEN_PORT   4000
#define DEFAULT_SENSOR_DEVICE "/dev/ttyUSB0"
#define DEFAULT_SENSOR_NAME   "pcmeasure.com1"

/* maximum number of waiting incoming connections */
#define LISTEN_PORT_BACKLOG   5

/* interval between status checks, e.g. if the daemon should terminate */
#define CHECK_INTERVAL_SEC    0
#define CHECK_INTERVAL_USEC   200000

/* interval between sensor reconnect retries */
#define SENSOR_RECONNECT_SEC 5

/* interval a sensor reading should become invalid */
#define SENSOR_READING_LIFETIME_SEC 30

/* line termination appended to reply */
#define REPLY_NEWLINE        "\r\n"

#endif
