/*
 * logging.h
 *
 * Kai G. Schwebke
 * 2007-03-02
 *
 * Message logging.
 *
 */
#ifndef IncLogging
#define IncLogging

#include <string>

// log file name
extern std::string logFile;

// log levels
//    0 - start, stop and errors
//    1 - connects and statistics
//    2 - full log
const int LOG_CRITICAL        = 0;
const int LOG_STAT            = 1;
const int LOG_DEBUG           = 2;

//    shutdown level - do not use
const int LOG_DISABLED        = -1;

//    change log level in threadsafe way
void setLogLevel(int newLevel);

// initialize logging
void logInit();

// shutdown logging
void logShutdown();

// Log an event to log file (daemon mode) or console,
// if level is equal to or more severe than logLevel.
// The log file in daemon mode is opened and closed
// for every event, so it can be easily truncated without
// stopping the daemon.
void logEvent(int level, std::string message);

#endif
