/*
 * sensormanager.h
 *
 * Kai G. Schwebke
 * 2007-03-02
 *
 * Creation and naming of Sensor objects.
 *
 */
#ifndef IncSensorManager
#define IncSensorManager

#include "pthread.h"
#include <string>
#include <list>
#include <map>

#include "sensor.h"

class SensorManager {
   public:
      SensorManager();
      Sensor* newSensor(std::string deviceName);
      void nameSensor(Sensor* s, std::string name);
      virtual ~SensorManager();
      inline int sensorCount() {
	 return sensors.size();
      }
      void createThreads();
      std::string getReading(std::string name);

   private:
      std::list<Sensor*> sensors;
      std::map<std::string, Sensor*> sensorNameMap;

      // Mutex used to synchronize access.
      pthread_mutex_t mutex;
};

#endif
