/*
 * sighandler.cpp
 *
 * Kai G. Schwebke
 * 2007-03-02
 *
 * Signal handlers.
 *
 */
#include <signal.h>
#include "sighandler.h"

extern int shouldShutdown; // defined in main.cpp

void catch_shutdown_signal(int sig_num) {
    sigset_t mask_set;	/* used to set a signal masking set. */
    sigset_t old_set;	/* used to store the old mask set.   */

    /* re-set the signal handler again to catch_int, for next time */
    signal(SIGINT, catch_shutdown_signal);
    /* mask any further signals while we're inside the handler. */
    sigfillset(&mask_set);
    sigprocmask(SIG_SETMASK, &mask_set, &old_set);

    /* perform shutdown */
    shouldShutdown = 1;
}


