/*
 * tool.h
 *
 * Kai G. Schwebke
 * 2007-03-02
 *
 * Helper functions.
 *
 */
#ifndef IncTool
#define IncTool

#include <string>
#include <vector>
#include <sys/types.h>

// tokenize string into vector of strings
void stringTokenize(const std::string& str,
                    std::vector<std::string>& tokens,
                    const std::string& delimiters = " ");

// convert integer to alpha
std::string itoa(int i);

// show command line help
int showHelp();

// global flag indicating daemon should shutdown
extern int shouldShutdown;

// shutdown daemon (using exit())
void shutdown();

// send data over socket file descriptor
int sendall(int s, const void* buff, size_t* len);

#endif
